# HPP Hosted Payment Page (HPP) API is a service that lets you integrate Payments without the need of hosting the web page that manages the client side of Payments. A complete HPP payment session will involve the following Kustom services: * [`Hosted Payment Page API`](./hosted-payment-page.json) to distribute a payment session. * [`Order Management API`](./order-management.yaml) to capture payment or refund consumer. Read more on [Hosted payment page](../v3/hosted-payment-page/before-you-start/before-you-start). Version: 1.1 License: Klarna Bank AB ## Servers ``` https://api.kustom.co ``` ## Download OpenAPI description [HPP](https://docs.kustom.co/_bundle/contents/api/hosted-payment-page.yaml) ## Other ### Create an HPP session - [POST /hpp/v1/sessions](https://docs.kustom.co/contents/api/hosted-payment-page/other/createhppsession.md): Use this API to create an HPP session after creating a payment session. Read more on Create a new HPP session. ### Get details of an HPP session - [GET /hpp/v1/sessions/{session_id}](https://docs.kustom.co/contents/api/hosted-payment-page/other/getsessionbyid.md): Use this API to read an HPP session content and it's status. Read more on Read HPP session. ### Disable an HPP session - [DELETE /hpp/v1/sessions/{session_id}](https://docs.kustom.co/contents/api/hosted-payment-page/other/disablehppsession.md): Use this API to disable an HPP session if payment session had to be cancelled for any reason. Read more on Disable HPP session. ### Distribute an HPP session - [POST /hpp/v1/sessions/{session_id}/distribution](https://docs.kustom.co/contents/api/hosted-payment-page/other/distributehppsession.md): Use this API to distribute to the Consumer a link to the Hosted Payment Page either by e-mail or SMS after you have created an HPP session. Read more on Distribute link to the HPP Session to the Consumer.